package dbquery

import (
	"git.tetele.net/tgo/helper"
	"log"
	"strings"
)

// 对执行前的sql语句进行处理--针对pgsql用
func SqlReplace(sql_s, sql_type string) string {
	sql := strings.Replace(sql_s, "`", `"`, -1)

	if sql_type == "add" {
		sql = helper.StringJoin(sql, " RETURNING id")
	}

	sql = strings.Replace(sql, " user ", ` "user" `, -1)
	sql = strings.Replace(sql, " user.", ` "user".`, -1)
	sql = strings.Replace(sql, "=user.", `="user".`, -1)

	log.Println("replace sql:", sql)

	return sql
}
